package domain


type AlibabaTclsAelophyWarehouseOrderGetTopBaseResult struct {
    /*
        仓单对象     */
    Model  *AlibabaTclsAelophyWarehouseOrderGetWarehouseOrderResponse `json:"model,omitempty" `

    /*
        接口是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        返回码说明     */
    ErrMsg  *string `json:"err_msg,omitempty" `

}

func (s *AlibabaTclsAelophyWarehouseOrderGetTopBaseResult) SetModel(v AlibabaTclsAelophyWarehouseOrderGetWarehouseOrderResponse) *AlibabaTclsAelophyWarehouseOrderGetTopBaseResult {
    s.Model = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetTopBaseResult) SetSuccess(v bool) *AlibabaTclsAelophyWarehouseOrderGetTopBaseResult {
    s.Success = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetTopBaseResult) SetErrCode(v string) *AlibabaTclsAelophyWarehouseOrderGetTopBaseResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaTclsAelophyWarehouseOrderGetTopBaseResult) SetErrMsg(v string) *AlibabaTclsAelophyWarehouseOrderGetTopBaseResult {
    s.ErrMsg = &v
    return s
}
